Home / Lua API Manual / types / dt_lua_backgroundjob_t
< dt_lua_view_t
dt_lua_snapshot_t >

# dt_lua_backgroundjob_t

`dt_type`

A lua-managed entry in the backgroundjob lib

# 🔗dt_lua_backgroundjob_t.percent

`number`

The value of the progress bar, between 0 and 1. will return nil if there is no progress bar, will raise an error if read or written on an invalid job

Attributes:

- write

# 🔗dt_lua_backgroundjob_t.valid

`boolean`

True if the job is displayed, set it to false to destroy the entry An invalid job cannot be made valid again

Attributes:

- write

< dt_lua_view_t
dt_lua_snapshot_t >